#include <stdio.h>

int add(int *x, int *y){
  return *x + *y;
}


void  main (){
  int res;
  int (*func_pntr) ();
  func_pntr = printf;
  
  int girls = 12;
  int boys = 78;

  res = add(&girls, &boys);
  (*func_pntr)("%d\n", res);  
  (*func_pntr)("Address girls: %p\n", &girls);  


}
